// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////
// IPOSScale wrapper class

class IPOSScale : public COleDispatchDriver
{
public:
	IPOSScale() {}		// Calls COleDispatchDriver default constructor
	IPOSScale(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPOSScale(const IPOSScale& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetConfiguredID();
	long GetDeviceID();
	void SetDeviceID(long nNewValue);
	void SendScaleData(long Weight);
};
/////////////////////////////////////////////////////////////////////////////
// _IPOSScaleEvents wrapper class

class _IPOSScaleEvents : public COleDispatchDriver
{
public:
	_IPOSScaleEvents() {}		// Calls COleDispatchDriver default constructor
	_IPOSScaleEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IPOSScaleEvents(const _IPOSScaleEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'ScaleRead' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// IPOSMsr wrapper class

class IPOSMsr : public COleDispatchDriver
{
public:
	IPOSMsr() {}		// Calls COleDispatchDriver default constructor
	IPOSMsr(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPOSMsr(const IPOSMsr& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetConfiguredID();
	long GetDeviceID();
	void SetDeviceID(long nNewValue);
	long GetIsLocked();
	void SendMSRDataAscii(LPCTSTR Track1Data, LPCTSTR Track2Data, LPCTSTR Track3Data);
};
/////////////////////////////////////////////////////////////////////////////
// _IPOSMsrEvents wrapper class

class _IPOSMsrEvents : public COleDispatchDriver
{
public:
	_IPOSMsrEvents() {}		// Calls COleDispatchDriver default constructor
	_IPOSMsrEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IPOSMsrEvents(const _IPOSMsrEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'LockMSR' not emitted because of invalid return type or parameter type
	// method 'UnlockMSR' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// IPOSCashDrawer wrapper class

class IPOSCashDrawer : public COleDispatchDriver
{
public:
	IPOSCashDrawer() {}		// Calls COleDispatchDriver default constructor
	IPOSCashDrawer(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPOSCashDrawer(const IPOSCashDrawer& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetDeviceID();
	void SetDeviceID(long nNewValue);
	long GetConfiguredID();
	long GetDeviceResponseMode();
	void SetDeviceResponseMode(long nNewValue);
	long GetDrawer1Present();
	void SetDrawer1Present(long nNewValue);
	long GetDrawer2Present();
	void SetDrawer2Present(long nNewValue);
	long GetDrawer1Open();
	void SetDrawer1Open(long nNewValue);
	long GetDrawer2Open();
	void SetDrawer2Open(long nNewValue);
	long GetDrawerOpenMsec();
	void SetDrawerOpenMsec(long nNewValue);
};
/////////////////////////////////////////////////////////////////////////////
// IPOSScanner wrapper class

class IPOSScanner : public COleDispatchDriver
{
public:
	IPOSScanner() {}		// Calls COleDispatchDriver default constructor
	IPOSScanner(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPOSScanner(const IPOSScanner& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetDeviceID();
	void SetDeviceID(long nNewValue);
	long GetConfiguredID();
	void SendScannerData(long LabelFormat, LPCTSTR LabelData);
	long GetScannerLocked();
};
/////////////////////////////////////////////////////////////////////////////
// IPOSHardTotals wrapper class

class IPOSHardTotals : public COleDispatchDriver
{
public:
	IPOSHardTotals() {}		// Calls COleDispatchDriver default constructor
	IPOSHardTotals(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPOSHardTotals(const IPOSHardTotals& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetDeviceID();
	void SetDeviceID(long nNewValue);
	long GetConfiguredID();
	long GetDeviceResponseMode();
	void SetDeviceResponseMode(long nNewValue);
	// method 'SendTotalsData' not emitted because of invalid return type or parameter type
	void SendTotalsWriteResponse(long ReturnCode);
	void SendTotalsData2(VARIANT* Data, long Len);
};
/////////////////////////////////////////////////////////////////////////////
// _IQVSRPAMEvents wrapper class

class _IQVSRPAMEvents : public COleDispatchDriver
{
public:
	_IQVSRPAMEvents() {}		// Calls COleDispatchDriver default constructor
	_IQVSRPAMEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IQVSRPAMEvents(const _IQVSRPAMEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'OnlineEvent' not emitted because of invalid return type or parameter type
	// method 'OfflineEvent' not emitted because of invalid return type or parameter type
	// method 'ConnectTimeoutEvent' not emitted because of invalid return type or parameter type
	// method 'DisplayEvent' not emitted because of invalid return type or parameter type
	// method 'DisplayEventEx' not emitted because of invalid return type or parameter type
	// method 'PrintEvent' not emitted because of invalid return type or parameter type
	// method 'AlphaEntryModeEnterEvent' not emitted because of invalid return type or parameter type
	// method 'AlphaEntryModeExitEvent' not emitted because of invalid return type or parameter type
	// method 'FieldLevelInputEvent' not emitted because of invalid return type or parameter type
	// method 'LockEvent' not emitted because of invalid return type or parameter type
	// method 'ReadEvent' not emitted because of invalid return type or parameter type
	// method 'UnlockEvent' not emitted because of invalid return type or parameter type
	// method 'ActivateMarqueeDisplayEvent' not emitted because of invalid return type or parameter type
	// method 'DeactivateMarqueeDisplayEvent' not emitted because of invalid return type or parameter type
	// method 'LoadMarqueeDisplayEvent' not emitted because of invalid return type or parameter type
	// method 'OfflineTotalsDataEvent' not emitted because of invalid return type or parameter type
	// method 'PrintEjectEvent' not emitted because of invalid return type or parameter type
	// method 'ReceiptCutEvent' not emitted because of invalid return type or parameter type
	// method 'TermIPLControlEvent' not emitted because of invalid return type or parameter type
	// method 'TermReloadEvent' not emitted because of invalid return type or parameter type
	// method 'UserDataEvent' not emitted because of invalid return type or parameter type
	// method 'ScannerUnlockEvent' not emitted because of invalid return type or parameter type
	// method 'ScannerLockEvent' not emitted because of invalid return type or parameter type
	// method 'RunningTotalDataEvent' not emitted because of invalid return type or parameter type
	// method 'WaitLightEvent' not emitted because of invalid return type or parameter type
	// method 'MessageLightEvent' not emitted because of invalid return type or parameter type
	// method 'OfflineLightEvent' not emitted because of invalid return type or parameter type
	// method 'FieldLevelInputEvent2' not emitted because of invalid return type or parameter type
	// method 'DrawerOpenEvent' not emitted because of invalid return type or parameter type
	// method 'TotalsWriteEvent' not emitted because of invalid return type or parameter type
	// method 'TotalsReadEvent' not emitted because of invalid return type or parameter type
	// method 'TermNumberChanged' not emitted because of invalid return type or parameter type
	// method 'LockMSR' not emitted because of invalid return type or parameter type
	// method 'UnlockMSR' not emitted because of invalid return type or parameter type
	// method 'ScaleRead' not emitted because of invalid return type or parameter type
	// method 'PrintExEvent' not emitted because of invalid return type or parameter type
	// method 'ToneEvent' not emitted because of invalid return type or parameter type
	// method 'ActivateMICREvent' not emitted because of invalid return type or parameter type
	// method 'IOProcWaitEvent' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// IRPATermControl wrapper class

class IRPATermControl : public COleDispatchDriver
{
public:
	IRPATermControl() {}		// Calls COleDispatchDriver default constructor
	IRPATermControl(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IRPATermControl(const IRPATermControl& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'DoFireUserDataEvent' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// _IRPATermControlEvents wrapper class

class _IRPATermControlEvents : public COleDispatchDriver
{
public:
	_IRPATermControlEvents() {}		// Calls COleDispatchDriver default constructor
	_IRPATermControlEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IRPATermControlEvents(const _IRPATermControlEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'ActivateMarqueeDisplayEvent' not emitted because of invalid return type or parameter type
	// method 'DeactivateMarqueeDisplayEvent' not emitted because of invalid return type or parameter type
	// method 'LoadMarqueeDisplayEvent' not emitted because of invalid return type or parameter type
	// method 'OfflineTotalsDataEvent' not emitted because of invalid return type or parameter type
	// method 'PrintEjectEvent' not emitted because of invalid return type or parameter type
	// method 'ReceiptCutEvent' not emitted because of invalid return type or parameter type
	// method 'TermIPLControlEvent' not emitted because of invalid return type or parameter type
	// method 'TermReloadEvent' not emitted because of invalid return type or parameter type
	// method 'UserDataEvent' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// IPOSPrinter wrapper class

class IPOSPrinter : public COleDispatchDriver
{
public:
	IPOSPrinter() {}		// Calls COleDispatchDriver default constructor
	IPOSPrinter(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPOSPrinter(const IPOSPrinter& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetConfiguredID();
	long GetDeviceID();
	void SetDeviceID(long nNewValue);
	void SetDIDocPresent(long nNewValue);
	void SetMICRAttached(long nNewValue);
	void SendMICRData(LPCTSTR Data, long Rc);
	long GetDeviceResponseMode();
	void SetDeviceResponseMode(long nNewValue);
	void SendPrintRC(long PrintStation, long Rc);
};
/////////////////////////////////////////////////////////////////////////////
// _IPOSPrinterEvents wrapper class

class _IPOSPrinterEvents : public COleDispatchDriver
{
public:
	_IPOSPrinterEvents() {}		// Calls COleDispatchDriver default constructor
	_IPOSPrinterEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IPOSPrinterEvents(const _IPOSPrinterEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'PrintEvent' not emitted because of invalid return type or parameter type
	// method 'PrintExEvent' not emitted because of invalid return type or parameter type
	// method 'ActivateMICREvent' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// _IRPAMAppEvents wrapper class

class _IRPAMAppEvents : public COleDispatchDriver
{
public:
	_IRPAMAppEvents() {}		// Calls COleDispatchDriver default constructor
	_IRPAMAppEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IRPAMAppEvents(const _IRPAMAppEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// IIOProcessor wrapper class

class IIOProcessor : public COleDispatchDriver
{
public:
	IIOProcessor() {}		// Calls COleDispatchDriver default constructor
	IIOProcessor(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IIOProcessor(const IIOProcessor& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetConfiguredID();
	long GetDeviceID();
	void SetDeviceID(long nNewValue);
	void SendKeyboardData(long FunctionCode);
	void SendScannerData(long LabelFormat, LPCTSTR LabelData);
	void SendKeyboardScanCode(long ScanCode);
	long GetFieldLevelInputMode();
	void SetFieldLevelInputMode(long nNewValue);
	long GetIsLocked();
	long GetResultCode();
	long GetMgrKeyStatus();
	void SetMgrKeyStatus(long nNewValue);
	long GetScannerLocked();
	long GetStateNum();
	long GetFLIMaxLen();
	long GetFLIEchoInput();
	long GetFLIFirstDisplayCol();
	long GetFLILastDisplayCol();
	long GetAlphaEntryMode();
	long GetTransitionFlag();
	void ExitAlphaEntryMode();
};
/////////////////////////////////////////////////////////////////////////////
// IPOSDisplay wrapper class

class IPOSDisplay : public COleDispatchDriver
{
public:
	IPOSDisplay() {}		// Calls COleDispatchDriver default constructor
	IPOSDisplay(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPOSDisplay(const IPOSDisplay& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	CString GetRow1Text();
	CString GetRow2Text();
	long GetDeviceID();
	void SetDeviceID(long nNewValue);
	long GetConfiguredID();
};
/////////////////////////////////////////////////////////////////////////////
// IPOSKeyboard wrapper class

class IPOSKeyboard : public COleDispatchDriver
{
public:
	IPOSKeyboard() {}		// Calls COleDispatchDriver default constructor
	IPOSKeyboard(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPOSKeyboard(const IPOSKeyboard& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetMessageLight();
	long GetWaitLight();
	long GetOfflineLight();
	long GetConfiguredID();
	long GetDeviceID();
	void SetDeviceID(long nNewValue);
	long GetKeylockPosition();
	void SetKeylockPosition(long nNewValue);
	void SendKeyboardData(long FunctionCode);
	void SendKeyboardScanCode(long ScanCode);
	void Do_Fire_ToneEvent(long Frequency, long Duration);
};
/////////////////////////////////////////////////////////////////////////////
// IRPAMTerminal wrapper class

class IRPAMTerminal : public COleDispatchDriver
{
public:
	IRPAMTerminal() {}		// Calls COleDispatchDriver default constructor
	IRPAMTerminal(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IRPAMTerminal(const IRPAMTerminal& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetUnitID();
	void SetUnitID(long nNewValue);
	long GetTermNum();
	void SetTermNum(long nNewValue);
	void Connect();
	LPDISPATCH GetANDisplay();
	LPDISPATCH GetANDisplay2();
	LPDISPATCH GetIOProcessor();
	LPDISPATCH GetPrinter();
	LPDISPATCH GetRPATermControl();
	LPDISPATCH GetKeyboard();
	unsigned long GetRunningTotal();
	LPDISPATCH GetScanner();
	LPDISPATCH GetTotRet();
	LPDISPATCH GetCashDrawer();
	void GetCDIField(LPCTSTR File, LPCTSTR Section, LPCTSTR Field, VARIANT* FieldVal);
	LPDISPATCH GetMsr();
	LPDISPATCH GetScale();
	void EnableIOProcWaitEvents();
};
/////////////////////////////////////////////////////////////////////////////
// IRPAMApp wrapper class

class IRPAMApp : public COleDispatchDriver
{
public:
	IRPAMApp() {}		// Calls COleDispatchDriver default constructor
	IRPAMApp(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IRPAMApp(const IRPAMApp& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetTermNumAssignMode();
	void SetTermNumAssignMode(long nNewValue);
	long GetAutoDeviceConfigure();
	void SetAutoDeviceConfigure(long nNewValue);
	long GetTracing();
	void SetTracing(long nNewValue);
	long GetOptimizeDisplay();
	void SetOptimizeDisplay(long nNewValue);
	long GetEventMode();
	void SetEventMode(long nNewValue);
	long GetStoreNum();
	void SetStoreNum(long StoreNum);
};
/////////////////////////////////////////////////////////////////////////////
// _IRPAMTerminalEvents wrapper class

class _IRPAMTerminalEvents : public COleDispatchDriver
{
public:
	_IRPAMTerminalEvents() {}		// Calls COleDispatchDriver default constructor
	_IRPAMTerminalEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IRPAMTerminalEvents(const _IRPAMTerminalEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'OnlineEvent' not emitted because of invalid return type or parameter type
	// method 'OfflineEvent' not emitted because of invalid return type or parameter type
	// method 'ConnectTimeoutEvent' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// _IPOSDisplayEvents wrapper class

class _IPOSDisplayEvents : public COleDispatchDriver
{
public:
	_IPOSDisplayEvents() {}		// Calls COleDispatchDriver default constructor
	_IPOSDisplayEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IPOSDisplayEvents(const _IPOSDisplayEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'DisplayEvent' not emitted because of invalid return type or parameter type
	// method 'DisplayEventEx' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// _IIOProcessorEvents wrapper class

class _IIOProcessorEvents : public COleDispatchDriver
{
public:
	_IIOProcessorEvents() {}		// Calls COleDispatchDriver default constructor
	_IIOProcessorEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IIOProcessorEvents(const _IIOProcessorEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'DefunctE1' not emitted because of invalid return type or parameter type
	// method 'DefunctE2' not emitted because of invalid return type or parameter type
	// method 'FieldLevelInputEvent' not emitted because of invalid return type or parameter type
	// method 'LockEvent' not emitted because of invalid return type or parameter type
	// method 'DefunctE5' not emitted because of invalid return type or parameter type
	// method 'ReadEvent' not emitted because of invalid return type or parameter type
	// method 'UnlockEvent' not emitted because of invalid return type or parameter type
	// method 'DefunctE8' not emitted because of invalid return type or parameter type
	// method 'ScannerLockEvent' not emitted because of invalid return type or parameter type
	// method 'ScannerUnlockEvent' not emitted because of invalid return type or parameter type
	// method 'IOProcWaitEvent' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// IPOSFile wrapper class

class IPOSFile : public COleDispatchDriver
{
public:
	IPOSFile() {}		// Calls COleDispatchDriver default constructor
	IPOSFile(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPOSFile(const IPOSFile& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	CString GetName();
	void SetName(LPCTSTR lpszNewValue);
	void Close();
	void Create(long Flags, long FileSize, long RecSize, long Priority);
	void Delete();
	void Open(long Flags, long Priority);
	// method 'Read' not emitted because of invalid return type or parameter type
	void Rename(LPCTSTR NewName);
	// method 'Write' not emitted because of invalid return type or parameter type
	long GetUnitID();
	void SetUnitID(long nNewValue);
	long GetErrorCode4690();
	void Read2(long Flags, VARIANT* Buf, long BufSize, long Offset, long* BytesRead);
	void Write2(long Flags, VARIANT* Buf, long BufSize, long Offset);
};
/////////////////////////////////////////////////////////////////////////////
// IPOSKeyedFile wrapper class

class IPOSKeyedFile : public COleDispatchDriver
{
public:
	IPOSKeyedFile() {}		// Calls COleDispatchDriver default constructor
	IPOSKeyedFile(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPOSKeyedFile(const IPOSKeyedFile& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	void Close(long Option);
	// method 'DeleteRecord' not emitted because of invalid return type or parameter type
	long GetErrorCode4690();
	CString GetName();
	void SetName(LPCTSTR lpszNewValue);
	void Open(long Flags, long Priority);
	// method 'Read' not emitted because of invalid return type or parameter type
	void Rename(LPCTSTR NewName);
	long GetUnitID();
	void SetUnitID(long nNewValue);
	// method 'Write' not emitted because of invalid return type or parameter type
	void Write2(long Lock, VARIANT* Buf, long BufSize);
	void Read2(long Lock, VARIANT* Buf, long BufSize, long KeyLen);
};
/////////////////////////////////////////////////////////////////////////////
// _IPOSKeyboardEvents wrapper class

class _IPOSKeyboardEvents : public COleDispatchDriver
{
public:
	_IPOSKeyboardEvents() {}		// Calls COleDispatchDriver default constructor
	_IPOSKeyboardEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IPOSKeyboardEvents(const _IPOSKeyboardEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'WaitLightEvent' not emitted because of invalid return type or parameter type
	// method 'MessageLightEvent' not emitted because of invalid return type or parameter type
	// method 'OfflineLightEvent' not emitted because of invalid return type or parameter type
	// method 'ToneEvent' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// _IPOSScannerEvents wrapper class

class _IPOSScannerEvents : public COleDispatchDriver
{
public:
	_IPOSScannerEvents() {}		// Calls COleDispatchDriver default constructor
	_IPOSScannerEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IPOSScannerEvents(const _IPOSScannerEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// _IPOSHardTotalsEvents wrapper class

class _IPOSHardTotalsEvents : public COleDispatchDriver
{
public:
	_IPOSHardTotalsEvents() {}		// Calls COleDispatchDriver default constructor
	_IPOSHardTotalsEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IPOSHardTotalsEvents(const _IPOSHardTotalsEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'TotalsWriteEvent' not emitted because of invalid return type or parameter type
	// method 'TotalsReadEvent' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// _IPOSCashDrawerEvents wrapper class

class _IPOSCashDrawerEvents : public COleDispatchDriver
{
public:
	_IPOSCashDrawerEvents() {}		// Calls COleDispatchDriver default constructor
	_IPOSCashDrawerEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_IPOSCashDrawerEvents(const _IPOSCashDrawerEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	// method 'DrawerOpenEvent' not emitted because of invalid return type or parameter type
};
/////////////////////////////////////////////////////////////////////////////
// ICDIFileAccessor wrapper class

class ICDIFileAccessor : public COleDispatchDriver
{
public:
	ICDIFileAccessor() {}		// Calls COleDispatchDriver default constructor
	ICDIFileAccessor(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ICDIFileAccessor(const ICDIFileAccessor& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	CString GetFileName();
	void SetFileName(LPCTSTR lpszNewValue);
	long GetUnitID();
	void SetUnitID(long nNewValue);
	void GetCDIField(LPCTSTR Section, LPCTSTR Field, VARIANT* FieldVal);
};
/////////////////////////////////////////////////////////////////////////////
// _ICDIFileAccessorEvents wrapper class

class _ICDIFileAccessorEvents : public COleDispatchDriver
{
public:
	_ICDIFileAccessorEvents() {}		// Calls COleDispatchDriver default constructor
	_ICDIFileAccessorEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	_ICDIFileAccessorEvents(const _ICDIFileAccessorEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
};
